/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _CLIENT_MANAGER_H_
#define _CLIENT_MANAGER_H_

#include "../libmisc/types.h"
#include "../libmisc/error.h"
#include "library.h"
#include "../libmisc/xconfig.h"

/* ERROR if err occurs, WARNING if client info */
status xClientManager_getClientInfo (xevent * event, xifocus * ifocus);

bool xClientManager_testAppName (xifocus * ifocus, app_list * sup_apps_list);

status xClientManager_beginToListenClient (xifocus * ifocus);

#endif /* _CLIENT_MANAGER_H_ */
